import { OnInit, EventEmitter } from "@angular/core";
import { EwMaDesignService } from '../../../ew-ma-design.service';
export declare class SectionConfigComponent implements OnInit {
    designService: EwMaDesignService;
    showImageLibrary: Boolean;
    showImageLibraryPopup: boolean;
    environment: any;
    eventId: string;
    model: {
        focused: boolean;
        type: string;
        meta_data: any;
    };
    /**
     * Output
     * @param Event
     */
    onSidebarBackClick: EventEmitter<any>;
    /**
     * @description
     * Emit event to Done Click.
     */
    constructor(designService: EwMaDesignService);
    ngOnInit(): void;
    selectedImage(image: any): void;
    removeImage(): void;
    changeImage(): void;
    changeColorPicker(event?: any): void;
    sidebarBack(type?: string): void;
    isUndefined(val?: any): boolean;
}
